Page MenuHomePhabricator

efl_ui: remove Efl.Ui.Clickable from containers
ClosedPublic

Authored by bu5hm4n on May 5 2019, 3:01 AM.

Details

Summary

these widgets here are containers, means: they contain items that can be
clicked, but the container itself cannot be clicked. Later on, we should
introduce a new interface which contains events that reflect the clicked
event of theire items.

Depends on D8827

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.May 5 2019, 3:01 AM
bu5hm4n requested review of this revision.May 5 2019, 3:01 AM
bu5hm4n updated this revision to Diff 21963.May 6 2019, 7:41 AM
bu5hm4n edited the summary of this revision. (Show Details)

Rebase & update according to xavi review

bu5hm4n updated this revision to Diff 21996.May 7 2019, 2:54 AM

Add zoomable to tests, and publish the required rebase, sorry Xavi :|

bu5hm4n updated this revision to Diff 22002.May 7 2019, 2:56 AM

Add zoomable to tests, and publish the required rebase, sorry Xavi :|

bu5hm4n updated this revision to Diff 22110.May 12 2019, 2:18 AM

Rebase & update

zmike accepted this revision.May 13 2019, 11:50 AM
This revision is now accepted and ready to land.May 13 2019, 11:50 AM
bu5hm4n updated this revision to Diff 22161.May 14 2019, 1:55 AM

Make press,move-out-of-widget,unpress scenarios work take 2

bu5hm4n updated this revision to Diff 22181.May 14 2019, 10:54 AM

update to new API names

bu5hm4n updated this revision to Diff 22193.May 14 2019, 11:22 AM

update to new API names, redo

Closed by commit rEFL6a5a5a430323: efl_ui: remove Efl.Ui.Clickable from containers (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMay 14 2019, 1:19 PM
This revision was automatically updated to reflect the committed changes.